id: com.angoosh.doublecmd
runtime: org.gnome.Platform
runtime-version: '3.24'
sdk: org.gnome.Sdk
command: doublecmd

finish-args:
  - --socket=x11
  - --socket=wayland
  - --share=network
  - --filesystem=home

modules:
  - name: doublecmd
    buildsystem: simple
    build-commands:
      - unzip doublecmd.zip
      - ls -l ./
      - mkdir /app/bin
      - mv doublecmd/* /app/bin
      - mkdir -p /app/share/icons/hicolor/48x48/apps/
      - mkdir -p /app/share/applications/
      - cp /app/bin/doublecmd.png /app/share/icons/hicolor/48x48/apps/com.angoosh.doublecmd.png
      - echo "[Desktop Entry]" >> /app/share/applications/com.angoosh.doublecmd.desktop
      - echo "Name=Double Commander" >> /app/share/applications/com.angoosh.doublecmd.desktop
      - echo "Exec=doublecmd" >> /app/share/applications/com.angoosh.doublecmd.desktop
      - echo "Type=Application" >> /app/share/applications/com.angoosh.doublecmd.desktop
      - echo "Icon=com.angoosh.doublecmd" >> /app/share/applications/com.angoosh.doublecmd.desktop
      - echo "Categories=Office;X-Tool" >> /app/share/applications/com.angoosh.doublecmd.desktop
    sources:
      - type: file
        path: ./doublecmd.zip
        dest-filename: doublecmd.zip
